Name:           centos-release-hyperscale
Version:        10
Release:        4%{?dist}
Summary:        CentOS Hyperscale SIG main repo configs

License:        GPL-2.0-or-later
URL:            https://hyperscale.sig.centos.org
Source0:        RPM-GPG-KEY-CentOS-SIG-HyperScale
Source1:        CentOS-Stream-Hyperscale.repo
Source2:        CentOS-Stream-Hyperscale-Experimental.repo
Source3:        CentOS-Stream-Hyperscale-Kernel.repo
Source4:        CentOS-Stream-Hyperscale-Spin.repo
Source5:        CentOS-Stream-Hyperscale-Testing.repo
Source6:        CentOS-Stream-Hyperscale-Experimental-Testing.repo
Source7:        CentOS-Stream-Hyperscale-Kernel-Testing.repo
Source8:        CentOS-Stream-Hyperscale-Spin-Testing.repo
Source10:       CentOS-Stream-Hyperscale-Asahi.repo
Source11:       CentOS-Stream-Hyperscale-Asahi-Testing.repo
Source12:       group_asahi-u-boot.repo
Source13:       RPM-GPG-KEY-group_asahi-u-boot

Requires:       centos-stream-release
Requires:       epel-release = %{rhel}

# We don't have hotfixes in 10 as modularity is gone, and it was already
# obsoleted in 9; plan to remove for 11.
Obsoletes:      %{name}-hotfixes < 9-4

BuildArch:      noarch

%description
Configs for the CentOS Hyperscale SIG main package repository.

%package        asahi
Summary:        CentOS Hyperscale SIG repos for Apple Silicon hardware enablement
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-experimental = %{version}-%{release}
Requires:       %{name}-spin = %{version}-%{release}

%description    asahi
Additional repositories for enablement packages for Apple Silicon hardware
maintained by the CentOS Hyperscale SIG.

%package        asahi-testing
Summary:        CentOS Hyperscale SIG repos for Apple Silicon hardware enablement
Requires:       %{name}-asahi = %{version}-%{release}
Requires:       %{name}-testing = %{version}-%{release}
Requires:       %{name}-experimental-testing = %{version}-%{release}
Requires:       %{name}-spin-testing = %{version}-%{release}

%description    asahi-testing
Additional repositories for enablement packages for Apple Silicon hardware
maintained by the CentOS Hyperscale SIG.

%package        experimental
Summary:        CentOS Hyperscale SIG experimental repo configs
Requires:       %{name} = %{version}-%{release}

%description    experimental
Configs for the CentOS Hyperscale SIG experimental package repository.

%package        experimental-testing
Summary:        CentOS Hyperscale SIG experimental testing repository config
Requires:       %{name}-experimental = %{version}-%{release}
Requires:       %{name}-testing = %{version}-%{release}

%description    experimental-testing
Repository configs for the CentOS Hyperscale SIG experimental testing repository.

%package        kernel
Summary:        CentOS Hyperscale SIG kernel repo configs
Requires:       %{name} = %{version}-%{release}

%description    kernel
Configs for the CentOS Hyperscale SIG kernel package repository.

%package        kernel-testing
Summary:        CentOS Hyperscale SIG kernel testing repository config
Requires:       %{name}-kernel = %{version}-%{release}
Requires:       %{name}-testing = %{version}-%{release}

%description    kernel-testing
Repository configs for the CentOS Hyperscale SIG kernel testing repository.

%package        spin
Summary:        CentOS Hyperscale SIG spin repo configs
Requires:       %{name} = %{version}-%{release}

%description    spin
Configs for the CentOS Hyperscale SIG spin repository.

%package        spin-testing
Summary:        CentOS Hyperscale SIG spin testing repository config
Requires:       %{name}-spin = %{version}-%{release}
Requires:       %{name}-testing = %{version}-%{release}

%description    spin-testing
Repository configs for the CentOS Hyperscale SIG spin testing repository.

%package        testing
Summary:        CentOS Hyperscale SIG main testing repository config
Requires:       %{name} = %{version}-%{release}

%description    testing
Repository configs for the CentOS Hyperscale SIG main testing repository.

%prep
%setup -c -T
# So we can use names instead of source numbers
cp -p %{sources} .

%build
# Nothing to do

%install
install -Dpm0644 -t %{buildroot}%{_sysconfdir}/pki/rpm-gpg RPM-GPG-KEY-*
install -Dpm0644 -t %{buildroot}%{_sysconfdir}/yum.repos.d *.repo

%files
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-HyperScale
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Stream-Hyperscale.repo

%files asahi
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-u-boot
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Stream-Hyperscale-Asahi.repo
%config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-u-boot.repo

%files asahi-testing
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Stream-Hyperscale-Asahi-Testing.repo

%files experimental
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Stream-Hyperscale-Experimental.repo

%files experimental-testing
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Stream-Hyperscale-Experimental-Testing.repo

%files kernel
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Stream-Hyperscale-Kernel.repo

%files kernel-testing
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Stream-Hyperscale-Kernel-Testing.repo

%files spin
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Stream-Hyperscale-Spin.repo

%files spin-testing
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Stream-Hyperscale-Spin-Testing.repo

%files testing
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Stream-Hyperscale-Testing.repo

%changelog
* Wed May 14 2025 Davide Cavalca <dcavalca@centosproject.org> - 10-4
- Add asahi subpackage for Apple Silicon hardware enablement
- Update license tag and URL
- Refactor the spec
- Streamline installation logic

* Thu Jan 23 2025 Neal Gompa <ngompa@centosproject.org> - 10-3
- Add Hyperscale Kernel repository
- Require epel-release

* Thu Jul 18 2024 Daan De Meyer <daan.j.demeyer@gmail.com> - 10-2
- Add spin and experimental testing repositories

* Wed Jun 12 2024 Davide Cavalca <dcavalca@centosproject.org> - 10-1
- Update for CentOS Stream 10

* Wed May 24 2023 Daan De Meyer <daan.j.demeyer@gmail.com> - 9-6
- Add testing repository

* Thu Jan 12 2023 Michel Alexandre Salim <salimma@centosproject.org> - 9-5
- Fix source repo metalinks

* Wed Mar 16 2022 Neal Gompa <ngompa@centosproject.org> - 9-4
- Drop -hotfixes repo subpackage as the repo doesn't exist for 9

* Sun Mar 06 2022 Neal Gompa <ngompa@centosproject.org> - 9-3
- Add debuginfo repositories, Refresh GPG public key, and enable DNF countme

* Fri Feb 25 2022 Neal Gompa <ngompa@centosproject.org> - 9-2
- Add epel-next-release dependency

* Sun Feb 20 2022 Neal Gompa <ngompa@centosproject.org> - 9-1
- Initial package for CentOS Stream 9
